On this page

## Methods

### init(endpoint, cluster, programId)

Initialize the Nina Client Class Object

Parameters:

Name | Type | Description
--- | --- | ---
`endpoint` | String | API endpoint URL (https://api.ninaprotocol.com/v1/)
`cluster` | String | Solana RPC URL (https://api.mainnet-beta.solana.com)
`programId` | String | Nina Program Id (ninaN2tm9vUkxoanvGcNApEeWiidLMM2TdBX8HoJuL4)

Source
  - client.js, line 15

Example

    Nina.client.init(endpoint, cluster, programId)

Type anything to view search result